#pragma once
#include <string>

class Logger
{
public:
	void Success(const std::string & s);
	void Fatal(const std::string & s);
	void Error(const std::string & s);
	void Warning(const std::string & s);
	void Info(const std::string & s);
	void Debug(const std::string & s);

	Logger();
	~Logger();
	Logger(Logger & other) = delete;
	Logger(Logger && other) = delete;
	Logger & operator=(Logger & other) = delete;
};
